Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.model
Class ManySelectionTrackingListDataModel

    java.lang.Object
      javax.faces.model.DataModel
          org.springframework.faces.model.SerializableListDataModel
              org.springframework.faces.model.ManySelectionTrackingListDataModel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, SelectionAware

    public class ManySelectionTrackingListDataModel

extends SerializableListDataModel
implements SelectionAware

A `DataModel` implementation that tracks the currently selected rows, allowing any number of rows to be selected at one time.

Author:
  Jeremy Grelle
See Also:
  Serialized Form

Constructor Summary
`ManySelectionTrackingListDataModel()`
`ManySelectionTrackingListDataModel(java.util.List list)`

Method Summary
`java.util.List` | `getSelections()` Returns the list of selected row data objects for the model.
`boolean` | `isCurrentRowSelected()` Checks whether the row pointed to by the model's current index is selected.
`void` | `select(java.lang.Object rowData)` Selects the given row data object in the model.
`void` | `selectAll()` Selects all row data objects in the model.
`void` | `setCurrentRowSelected(boolean rowSelected)` Sets whether the row pointed to by the model's current index is selected
`void` | `setSelections(java.util.List selections)` Sets the list of selected row data objects for the model.

Methods inherited from class org.springframework.faces.model.SerializableListDataModel
`getRowCount, getRowData, getRowIndex, getWrappedData, isRowAvailable, setRowIndex, setWrappedData, toString`

Methods inherited from class javax.faces.model.DataModel
`addDataModelListener, getDataModelListeners, iterator, removeDataModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManySelectionTrackingListDataModel

    public ManySelectionTrackingListDataModel()

### ManySelectionTrackingListDataModel

    public ManySelectionTrackingListDataModel(java.util.List list)

Method Detail

### getSelections

    public java.util.List getSelections()

  Description copied from interface: `SelectionAware`
  Returns the list of selected row data objects for the model.

  Specified by:
    `getSelections` in interface `SelectionAware`
  Returns:
    the list of selected row data objects

### isCurrentRowSelected

    public boolean isCurrentRowSelected()

  Description copied from interface: `SelectionAware`
  Checks whether the row pointed to by the model's current index is selected.

  Specified by:
    `isCurrentRowSelected` in interface `SelectionAware`
  Returns:
    true if the current row data object is selected

### selectAll

    public void selectAll()

  Description copied from interface: `SelectionAware`
  Selects all row data objects in the model.

  Specified by:
    `selectAll` in interface `SelectionAware`

### setCurrentRowSelected

    public void setCurrentRowSelected(boolean rowSelected)

  Description copied from interface: `SelectionAware`
  Sets whether the row pointed to by the model's current index is selected

  Specified by:
    `setCurrentRowSelected` in interface `SelectionAware`
  Parameters:
    `rowSelected` - true to select the current row

### setSelections

    public void setSelections(java.util.List selections)

  Description copied from interface: `SelectionAware`
  Sets the list of selected row data objects for the model.

  Specified by:
    `setSelections` in interface `SelectionAware`
  Parameters:
    `selections` - the list of selected row data objects

### select

    public void select(java.lang.Object rowData)

  Description copied from interface: `SelectionAware`
  Selects the given row data object in the model.

  Specified by:
    `select` in interface `SelectionAware`
  Parameters:
    `rowData` - the row data object to select.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD